/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.2
 * 
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: start.s,v $
 *
 * HISTORY
 * $Log: start.s,v $
 * Revision 1.2  1994/06/11  00:02:48  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/14  23:34:22  davidm
 * Initial revision
 *
 */
/*
 * Primary bootstrap code jumps to "start".
 */
#include <regdef.h>
#include <machine/pal.h>

	.set noreorder
	.text
	#
	# Load addr of start into pv.  For this to work, start must
	# follow IMMEDIATELY after the branch!!
	#
	br pv, start
.ent start 0		# nesting level 0
	.frame sp 0 ra		# sp is frame pointer, 0 sized stack
				# frame, ra is return address
	.mask 0, 0		# no integer registers saved, zero offset
	.fmask 0, 0		# no fp registers saved, zero offset
	.globl start
start:
	ldgp	gp,0(pv)
	.prologue 1		# end of prologue, yes we use gp
 	mov	zero, a0	# argc = 0 for now
	mov 	zero, a1	# argv = 0 for now
	lda	pv, main_
	jsr	ra, (pv), main_
	call_pal PAL_halt	# if main ever returns, go back into monitor
.end start
