/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.2
 * 
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: scout_time.h,v $
 *
 * HISTORY
 * $Log: scout_time.h,v $
 * Revision 1.2  1994/06/11  00:03:05  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/15  00:07:00  davidm
 * Initial revision
 *
 */
#ifndef scout_time_h
#define scout_time_h

#include "scout_thread.h"

/*
 * Time since epoch.   A 64 bit counter wraps around every 585 years
 * if it's incremented once per nano second (1 GHz).
 */
extern volatile u_long	scout_age;	/* # of clock ticks since epoch */
extern u_long	scout_ticks_per_second;	/* rate at which scout_age increases */

extern Scout_Thread *volatile scout_clock_thread;

#endif /* scout_time_h */
